package com.zoniot.ccrc.dao;


import com.zoniot.ccrc.entity.OperationLog;
import com.zoniot.ccrc.entity.ProgramItem;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;
import java.util.List;

@Mapper
public interface OperationLogMapper {
    int insertSelective(OperationLog record);

    int updateByPrimaryKeySelective(OperationLog record);

    List<OperationLog> getList(@Param("siteId") Integer siteId, @Param("programItems") List<ProgramItem> programItems,
                               @Param("username") String username, @Param("content") String content,
                               @Param("startDate") LocalDateTime startDate, @Param("endDate") LocalDateTime endDate, @Param("mobilephone") String mobilephone);
}