package com.zoniot.ccrc.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.Map;

@Data
public class DeviceMeasuringDataDTO implements Serializable {
    @ApiModelProperty(value = "值",position = 1)
    private Map<String,String> measuringData;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "时间",position = 2)
    private Date dateTime;
}
