package com.zoniot.ccrc.dto;


import com.zoniot.ccrc.entity.WarningMessage;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Data
public class WarningMessageDto extends WarningMessage {
    @ApiModelProperty(value="预警类型 1：较上日用水量激增30% 2：连续无用水量超过7天")
    private Integer warningType;

    @ApiModelProperty(value="反馈状态 0：待反馈 1：已确认无异常 2：已反馈信息")
    private Integer feedbackStatus;

    @ApiModelProperty(value="反馈内容")
    private String feedbackContent;
}
