package com.zoniot.ccrc.service;


import com.zoniot.ccrc.commom.model.Pagination;
import com.zoniot.ccrc.dto.DeviceMeasuringPointDto;
import com.zoniot.ccrc.dto.DeviceTypeDto;
import com.zoniot.ccrc.dto.TreeDataDto;
import com.zoniot.ccrc.entity.DeviceType;

import java.util.List;

public interface DeviceTypeService {

    int insert(DeviceType deviceType);

    int insertSelective(DeviceType deviceType);

    int insertList(List<DeviceType> deviceTypes);

    int updateByPrimaryKeySelective(DeviceType deviceType);



    List<DeviceTypeDto> getDeviceTypeList(Integer sysId, Integer type);

    List<TreeDataDto> getTreeData(Integer sysId, Integer type);
    


    DeviceTypeDto getByName(String deviceTypeName, String deviceTypeModel);

    DeviceTypeDto findById(Integer deviceTypeId);

}
