package com.zoniot.ccrc.dto;

import com.zoniot.ccrc.entity.DeviceMeasuringPoint;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@Data
@ApiModel
@EqualsAndHashCode(callSuper=false)
public class DeviceMeasuringPointDto extends DeviceMeasuringPoint {
    @ApiModelProperty(value="测点数据类型 1:离散 2：连续")
    private String measuringDataType;

    @ApiModelProperty(value="measuringDescId")
    private Integer measuringDesc;

    @ApiModelProperty(value="数据值")
    private List<TplMeasuringDataDef> dataDefList;
}
